NONMEM Users Network Archive

Hosted by Cognigen

Re: NONMEM and g77

From: Darin Perusich <Darin.Perusich>
Date: Tue, 02 Sep 2008 09:37:38 -0400


Joachim.Grevel
>
> Any other users out there who are happy with gfortran as substitute for
> g77 as compiler?
>

gfortran releases after version 4.1 are not compatible with NONMEM
because it is a Fortran 95 compiler and NONMEM is written to conform
with the Fortran 77 standard. The gfortran developers claim that "most"
Fortran 77 code "should" work with minimal or no code modifications but
this didn't prove to be the case. I tried getting NONMEM to build with
gfortran 4.2.x for the better part of a day using a myriad of
compatibility options but it was to no avail, at which point I switched
to GNU Fortran g77 3.3.5 and have had no issues what so ever.

If anyone has had success building NONMEM with recent releases gfortran
I'd be very interested in knowing which version and the options used.

--
Darin Perusich
Unix Systems Administrator
Cognigen Corporation
395 Youngs Rd.
Williamsville, NY 14221
Phone: 716-633-3463
Email: darinper
Received on Tue Sep 02 2008 - 09:37:38 EDT

The NONMEM Users Network is maintained by ICON plc. Requests to subscribe to the network should be sent to: nmusers-request@iconplc.com.

Once subscribed, you may contribute to the discussion by emailing: nmusers@globomaxnm.com.